Skip to main content
GET
List transactions for a job

Authorizations

Authorization
string
header
required

Bearer token authentication (format: "Bearer {token}")

Headers

X-Request-Id
string

A unique identifier for tracing the request across services.

Path Parameters

contextId
string
required

The unique identifier of the reconciliation context.

jobId
string
required

Job ID

Query Parameters

limit
integer
default:20

The maximum number of items to include in the response.

Required range: 1 <= x <= 200
cursor
string

The cursor value for retrieving the next page of results.

sort_order
enum<string>

The order used to sort the results.

Available options:
asc,
desc
sort_by
enum<string>

The field used to sort the results.

Available options:
id,
created_at,
date,
status,
extraction_status

Response

Indicates that the request was successful and the response contains the expected data.

Cursor-paginated list of transactions

hasMore
boolean
Example:

true

items
object[]

List of transactions

limit
integer
Required range: 1 <= x <= 200
Example:

20

nextCursor
string
Example:

"eyJpZCI6IjEyMyJ9"

prevCursor
string
Example:

"eyJpZCI6IjEyMiJ9"